Restore a logged email
POST/v1/emails/{id}/restore
Restores a trashed email that was logged through POST /v1/emails/log, bringing it back to active. Synced emails cannot be restored here. Calling restore on an email that is not trashed is a no-op and returns the existing record.
Required scope: emails:restore
Rate limit category: Write
Restore a logged email
curl https://api.lightfield.app/v1/emails/$ID/restore \
-X POST \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "eml_cm0abc456def789",
"accessLevel": "FULL",
"createdAt": "2026-05-01T09:00:00.000Z",
"fields": {
"$subject": {
"value": "Following up on our chat",
"valueType": "TEXT"
},
"$sentAt": {
"value": "2026-05-01T08:30:00.000Z",
"valueType": "DATETIME"
},
"$from": {
"value": [
"sales@acme.com"
],
"valueType": "EMAIL"
},
"$to": {
"value": [
"lead@example.com"
],
"valueType": "EMAIL"
},
"$cc": {
"value": [
"string"
],
"valueType": "EMAIL"
},
"$bcc": {
"value": [
"string"
],
"valueType": "EMAIL"
},
"$privacySetting": {
"value": "string",
"valueType": "TEXT"
},
"$body": {
"value": "<p>Hi there,</p><p>Following up on our chat earlier this week.</p>",
"valueType": "HTML"
}
},
"httpLink": null,
"objectType": "email",
"relationships": {
"$account": {
"cardinality": "has_many",
"objectType": "account",
"values": [
"acc_cm4stu901uvw234"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
},
"$contact": {
"cardinality": "has_many",
"objectType": "contact",
"values": [
"con_cm2ghi789jkl012"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
}
},
"updatedAt": "2026-05-01T10:00:00.000Z",
"externalId": "externalId"
}Returns Examples
{
"id": "eml_cm0abc456def789",
"accessLevel": "FULL",
"createdAt": "2026-05-01T09:00:00.000Z",
"fields": {
"$subject": {
"value": "Following up on our chat",
"valueType": "TEXT"
},
"$sentAt": {
"value": "2026-05-01T08:30:00.000Z",
"valueType": "DATETIME"
},
"$from": {
"value": [
"sales@acme.com"
],
"valueType": "EMAIL"
},
"$to": {
"value": [
"lead@example.com"
],
"valueType": "EMAIL"
},
"$cc": {
"value": [
"string"
],
"valueType": "EMAIL"
},
"$bcc": {
"value": [
"string"
],
"valueType": "EMAIL"
},
"$privacySetting": {
"value": "string",
"valueType": "TEXT"
},
"$body": {
"value": "<p>Hi there,</p><p>Following up on our chat earlier this week.</p>",
"valueType": "HTML"
}
},
"httpLink": null,
"objectType": "email",
"relationships": {
"$account": {
"cardinality": "has_many",
"objectType": "account",
"values": [
"acc_cm4stu901uvw234"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
},
"$contact": {
"cardinality": "has_many",
"objectType": "contact",
"values": [
"con_cm2ghi789jkl012"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
}
},
"updatedAt": "2026-05-01T10:00:00.000Z",
"externalId": "externalId"
}